## live-sdk.tar.gz

=== lib/zuper/Makefile ===
DESTDIR?=
PREFIX?=/usr

all:
	@echo "Nothing to be make. Make install to ${DESTDIR}${PREFIX}/share/zuper"

install:
	install -d ${DESTDIR}${PREFIX}/share/zuper
	install -p -m 644 zuper      ${DESTDIR}${PREFIX}/share/zuper/zuper
	install -p -m 644 zuper.init ${DESTDIR}${PREFIX}/share/zuper/zuper.init

=== lib/libdevuansdk/docs/Makefile ===
all: clean html man

html:
	@echo generating html...
	@./nanodoc html

man:
	@echo generating manpages...
	@./nanodoc man

clean:
	@echo cleaning...
	@rm -rf html man nav.html
	@sed -i -e 's:index.html">.*:html">NAME</a>:' static/head.html
	@sed -i -e 's:Subtitle">.*:Subtitle">DESC</span>:' static/head.html
	@sed -i -e 's:libdevuansdk-.*:libdevuansdk-VERSION</a>:' static/foot.html

.PHONY: all html man clean

=== lib/libdevuansdk/extra/debootstrap/debian/changelog ===
debootstrap (1.0.106+devuan3) unstable; urgency=medium

  * fix missing closing }

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Mon, 29 Oct 2018 15:43:43 +1300

debootstrap (1.0.106+devuan2) unstable; urgency=medium

  * change package to native type

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Mon, 29 Oct 2018 15:28:41 +1300

debootstrap (1.0.106+devuan1) unstable; urgency=medium

  * Release 1.0.106+devuan1

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Sat, 04 Aug 2018 14:32:49 +1200

debootstrap (1.0.106) unstable; urgency=medium

  * Improve related to container (Closes: #902924)
  * Add docker support (Closes: #890867)
  * Add wget check for non-package environment
  * debian/control
    - set Standards-Version: 4.1.5 with no change

 -- Hideki Yamane <henrich@debian.org>  Thu, 05 Jul 2018 17:48:22 +0900

debootstrap (1.0.105) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Improve wording for --log-extra-deps in the manpage, thanks to
    intrigeri for the report.

  [ Hideki Yamane ]
  * Use $container to detect systemd-nspawn and lxc{-libvirt} (Closes: #902350)
  * cache-dir option: change error detection order
  * Rervert "Add 2nd exclude package check to really exclude packages even if
    it breaks dependencies" since it doesn't work as expected and cause
    regression (Closes: #901977) and (Reopen: #830794, #557322, #783589)
    To make it proper, just remove "--exclude" packages twice but do not
    exec dependencies resolution in 2nd time, I guess.

 -- Hideki Yamane <henrich@debian.org>  Sun, 01 Jul 2018 23:09:10 +0900

debootstrap (1.0.104) unstable; urgency=medium

  * Fix /etc/machine-id mount issue (Closes: #899155)
  * Fix regression with file:/// mirror (Closes: #901717)

 -- Hideki Yamane <henrich@debian.org>  Sun, 24 Jun 2018 20:41:13 +0900

debootstrap (1.0.103) unstable; urgency=medium

  * Avoid failure with old arch-test package (Closes: #900925)
    Thanks to jhcha54008 <jhcha54008@free.fr>
  * Relax merged-usr blacklist restriction (Closes: #901808)
    Thanks to Tianon Gravi <tianon@debian.org>

 -- Hideki Yamane <henrich@debian.org>  Sat, 23 Jun 2018 11:44:57 +0900

debootstrap (1.0.102) unstable; urgency=medium

  * Enable merged-/usr by default (Closes: #839046)
    This is applied for buster and later.
  * Fix "debootstrap doesn't carry --components across --foreign/--second-stage"
    (Closes: #877855)
  * Fix debian-common path with tarball and --second-stage (Closes: #897379)

 -- Hideki Yamane <henrich@debian.org>  Wed, 13 Jun 2018 22:00:11 +0900

debootstrap (1.0.101) unstable; urgency=medium

  [ Hideki Yamane ]
  * debian/tests
    - Don't use unshare on some environment
    - Fix chroot dir location
    - Just ignore tests under docker environment
  * scripts
    - Add "bookworm" (Debian12) to script
  * README
    - Update git info to point to salsa repo

  * Fix wrong assumptions for $HOST_OS
  * Move container=lxc-libvirt check to work properly
  * Avoid mknod $TARGET/dev/console failure with systemd-nspawn
  * Fix exclude to work with --no-resolve-deps option
  * Add "--log-extra-deps" option to reduce time
  * Add 2nd exclude package check to really exclude packages even if
    it breaks dependencies (Closes: #830794, #557322, #783589)

  [ Philipp Kern ]
  * Gitlab CI: Disable the broken autopkgtest step.

  [ Tianon Gravi ]
  * Allow "script" argument to be specified as either an absolute path
    as before, or as a raw codename such as "sid", assumed to be
    relative to "/usr/share/debootstrap/scripts" (Closes: #742672)


 -- Hideki Yamane <henrich@debian.org>  Sun, 03 Jun 2018 19:41:23 +0900

debootstrap (1.0.100) unstable; urgency=medium

  [ Hideki Yamane ]
  * Specify https mirror to check https mirror specific problem
    (See #896071)
  * Quote $DEBOOTSTRAP_DIR properly (Closes: #586158)
  * Simplify checking debian-common file (Closes: #897379)

  [ Philipp Kern ]
  * Add an initial Gitlab CI config file.

 -- Hideki Yamane <henrich@debian.org>  Tue, 22 May 2018 20:15:26 +0900

debootstrap (1.0.99) unstable; urgency=medium

  [ Luca Falavigna ]
  * Add (Ubuntu) cosmic as a symlink to gutsy.
  * Bump Standards-Version to 4.1.4.

  [ Hideki Yamane ]
  * Fix download failure when specifying multiple components (Closes: #898738)
    - Also add multiple components to test case

 -- Hideki Yamane <henrich@debian.org>  Thu, 17 May 2018 10:57:52 +0900

debootstrap (1.0.98) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Julien Cristau ]
  * Add Acquire-By-Hash support. (Closes: #886016)

  [ Hideki Yamane ]
  * Fix some unnecessary quoting that caused an error. (Closes: #896071)
  * Handle systemd-nspawn and lxc gracefully in second stage.
    (Closes: #840372, #731802)
  * Allow tarballs ending in .tar.gz and .tar.xz to be used to
    acquire already downloaded debs. (Closes: #895096)
  * Properly deal with the fakechroot variant when --foreign is passed
    to debootstrap. Thanks to jhcha54008 for the patch. (Closes: #741964)
  * Properly print proxy auto-detection message.

 -- Philipp Kern <pkern@debian.org>  Mon, 14 May 2018 11:22:35 +0200

debootstrap (1.0.97) unstable; urgency=medium

  [ Dan Nicholson ]
  * Handle existing /dev (Closes: #872577)

  [ Hideki Yamane ]
  * Create /dev/console as same as previous (Closes: #872059)
  * Do not ignore HTTPS mirror setting (Closes: #893954)
  * Improve manpage "what is calls a Debian base system" (Closes: #872948)
    Thanks to Emmanuel Kasper <manu@debian.org> for the patch
  * Improve error message when download fails (Closes: #866401)
    Thanks to Raphaël Hertzog <hertzog@debian.org> for the patch
  * Use wget --non-verbose option instead of --quiet
  * Improve error message on Release signed by unknown key (Closes: #698677)
  * Add --cache-dir feature (Closes: #844118)
    It is enabled by default and use /var/cache/apt/archives as default value

  [ Adam Borowski ]


=== lib/libdevuansdk/extra/devuan-keyring/debian/changelog ===
devuan-keyring (2017.10.03) unstable; urgency=medium

  * Imported new amprolla3 key into devuan-keyring.gpg
  * Added devuan-keyring-2017-archive.gpg
  * Resigned SHA512SUMS and md5sums

 -- Denis Roio <jaromil@dyne.org>  Tue, 03 Oct 2017 14:10:50 +0200

devuan-keyring (2017.09.04) unstable; urgency=medium

  * Team upload for new repository infra
  * Added new amprolla3 key hosted on nemesis (signed with main repo)
  * update control file to VUA team maintainership

 -- Denis Roio <jaromil@dyne.org>  Mon, 04 Sep 2017 12:36:32 +0200

devuan-keyring (2016.11.22) unstable; urgency=medium

  * Proper fix for devuan installer and debootstrap udeb

 -- Franco (nextime) Lanza <nextime@devuan.org>  Tue, 22 Nov 2016 22:39:12 +0200

devuan-keyring (2016.10.29) unstable; urgency=medium

  * Add devuan-archive-keyring.gpg to /usr/share/keyrings

 -- Franco (nextime) Lanza <nextime@devuan.org>  Sat, 29 Oct 2016 23:19:20 +0200

devuan-keyring (2016.10.11) unstable; urgency=medium

  * split keys, put archive keys in /etc/apt/trusted.gpg.d
  * update Franco (nextime) Lanza keys

 -- Franco (nextime) Lanza <nextime@devuan.org>  Tue, 11 Oct 2016 15:21:38 +0200

devuan-keyring (2016.10.10) unstable; urgency=medium

  * Removed apt-key dependency
  * Remastered rules and package (copied from the ubuntu one)
  * Refreshed keyring

 -- Franco (nextime) Lanza <nextime@devuan.org>  Mon, 10 Oct 2016 12:43:40 +0200

devuan-keyring (2016.10.07) unstable; urgency=medium

  * Added devuan toaster pub key

 -- Franco (nextime) Lanza <nextime@devuan.org>  Fri, 07 Oct 2016 01:51:53 +0200

devuan-keyring (2015.05.05) unstable; urgency=medium

  * fix build for udeb

 -- Franco (nextime) Lanza <nextime@devuan.org>  Mon, 04 May 2015 22:03:58 +0200

devuan-keyring (2015.05.04) unstable; urgency=medium

  * Add udeb install file as for issue #5.

 -- Franco (nextime) Lanza <nextime@devuan.org>  Mon, 04 May 2015 01:36:14 +0200

devuan-keyring (2015.05.02) unstable; urgency=medium

  * Build also udeb package and change priority.

 -- Franco (nextime) Lanza <nextime@devuan.org>  Sat, 02 May 2015 09:33:23 +0200

devuan-keyring (2015.04.11) unstable; urgency=medium

  * Build also udeb package and change priority.

 -- Franco (nextime) Lanza <nextime@devuan.org>  Sat, 11 Apr 2015 09:55:58 +0200

devuan-keyring (2014.12.07) unstable; urgency=medium

  * Added repository key.

 -- Franco (nextime) Lanza <nextime@devuan.org>  Sat, 6 Dec 2014 10:05:27 +0100

devuan-keyring (2014.12.06) unstable; urgency=low

  * First packaging.

 -- Franco (nextime) Lanza <nextime@devuan.org>  Sat, 6 Dec 2014 17:20:39 +0100

=== lib/libdevuansdk/extra/debootstrap/debian/control ===
Source: debootstrap
Section: admin
Priority: optional
Maintainer: Ivan J. <parazyd@dyne.org>
Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Jaromil <jaromil@dyne.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.1.5
Vcs-Browser: https://git.devuan.org/devuan-packages/debootstrap
Vcs-Git: https://git.devuan.org/devuan-packages/debootstrap.git

Package: debootstrap
Architecture: all
Depends: ${misc:Depends}, wget
Recommends: gnupg, ${keyring}, arch-test (>= 0.11~),
Description: Bootstrap a basic Devuan system
 debootstrap is used to create a Devuan base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.

Package: debootstrap-udeb
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, mounted-partitions
Description: Bootstrap the Devuan system

=== lib/libdevuansdk/extra/debootstrap/debian/rules ===
#! /usr/bin/make -f

ifeq (0,$(shell dpkg-vendor --derives-from Ubuntu; echo $$?))
  KEYRING := ubuntu-keyring
else ifeq (0,$(shell dpkg-vendor --derives-from Tanglu; echo $$?))
  KEYRING := tanglu-archive-keyring
else ifeq (0,$(shell dpkg-vendor --derives-from Devuan; echo $$?))
  KEYRING := devuan-keyring
else ifeq (0,$(shell dpkg-vendor --derives-from Kali; echo $$?))
  KEYRING := kali-archive-keyring
else
  KEYRING := debian-archive-keyring
endif

%:
	dh $@

# need to be root to make devices, so build is done in install target
override_dh_auto_build:

override_dh_auto_install:
	dh_auto_build
	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap-udeb
	
	# remove scripts not needed by d-i
	-rm -f debian/debootstrap-udeb/usr/share/debootstrap/scripts/potato \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/woody \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/sarge \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/warty \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/hoary \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/breezy \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/dapper \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/edgy \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/feisty \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.buildd \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.fakechroot \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/stable \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/testing \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/unstable

override_dh_gencontrol:
	dh_gencontrol -- -Vkeyring=$(KEYRING)

# Specify gzip to mitigate #770217:
override_dh_builddeb:
	dh_builddeb -pdebootstrap      -- -Zgzip
	dh_builddeb -pdebootstrap-udeb -- -Zxz

=== lib/libdevuansdk/extra/devuan-keyring/debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for debian/keyring
# Based on sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# Copyright 1998-2003 James Troup
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

install_dir=install -d -m 755
install_file=install -m 644
install_script=install -m 755
install_binary=install -m 755 -s

VERSION := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)

build:

build-indep:

clean:
	$(checkdir)
	-rm -f foo foo.asc *.bak *~ */*~ debian/files* debian/*substvars
	-rm -rf debian/tmp debian/devuan-keyring-udeb

binary-indep: checkroot
	$(checkdir)
	-rm -rf debian/tmp
	$(install_dir) debian/tmp/DEBIAN/
	$(install_script) debian/postinst debian/tmp/DEBIAN/

	$(install_dir) debian/tmp/usr/share/keyrings/
	$(install_file) keyrings/devuan-keyring.gpg debian/tmp/usr/share/keyrings/
	$(install_file) keyrings/devuan-archive-keyring.gpg debian/tmp/usr/share/keyrings/

	$(install_dir) debian/tmp/etc/apt/trusted.gpg.d/
	$(install_file) keyrings/devuan-keyring-2016-archive.gpg debian/tmp/etc/apt/trusted.gpg.d/
	$(install_file) keyrings/devuan-keyring-2017-archive.gpg debian/tmp/etc/apt/trusted.gpg.d/
	$(install_file) keyrings/devuan-keyring-2016-cdimage.gpg debian/tmp/etc/apt/trusted.gpg.d/

	$(install_dir) debian/tmp/usr/share/doc/devuan-keyring/
	$(install_file) README.md debian/tmp/usr/share/doc/devuan-keyring/
	$(install_file) debian/changelog debian/tmp/usr/share/doc/devuan-keyring/changelog
	gzip -9v debian/tmp/usr/share/doc/devuan-keyring/*
	$(install_file) debian/copyright debian/tmp/usr/share/doc/devuan-keyring/
	cd debian/tmp; find -type f \! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum >DEBIAN/md5sums

	dpkg-gencontrol -pdevuan-keyring -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

	-rm -rf debian/devuan-keyring-udeb
	$(install_dir) debian/devuan-keyring-udeb/DEBIAN/

	$(install_dir) debian/devuan-keyring-udeb/usr/share/keyrings/
	$(install_file) keyrings/devuan-archive-keyring.gpg debian/devuan-keyring-udeb/usr/share/keyrings/

	install -m 755 debian/devuan-keyring-udeb.postinst debian/devuan-keyring-udeb/DEBIAN/postinst

	# Don't let dpkg-gencontrol write incorrect guesses to debian/files.
	# Instead, register the udeb manually.
	dpkg-gencontrol -ndevuan-keyring-udeb_$(VERSION)_all.udeb -pdevuan-keyring-udeb -Tdebian/devuan-keyring-udeb.substvars -Pdebian/devuan-keyring-udeb -isp
	chown -R root.root debian/devuan-keyring-udeb
	chmod -R go=rX debian/devuan-keyring-udeb
	dpkg --build debian/devuan-keyring-udeb ../devuan-keyring-udeb_$(VERSION)_all.udeb

binary-arch:

define checkdir
	test -f keyrings/devuan-keyring.gpg
endef

# Below here is fairly generic really

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

regenerate-key-fragments:
	rm -f keyrings/devuan-keyring-*.gpg
	gpg --no-default-keyring --keyring ./keyrings/devuan-archive-keyring.gpg --output keyrings/devuan-keyring-2016-archive.gpg --export 0x72E3CB773315DFA2E464743D94532124541922FB
	gpg --no-default-keyring --keyring ./keyrings/devuan-archive-keyring.gpg --output keyrings/devuan-keyring-2016-cdimage.gpg --export 0xCF1921B2D91C6435848E810099C46A90B1FB3B59
	gpg --no-default-keyring --keyring ./keyrings/devuan-archive-keyring.gpg --output keyrings/devuan-keyring-2017-archive.gpg --export 0xE032601B7CA10BC3EA53FA81BB23C00C61FC752C
	sha512sum keyrings/*.gpg | gpg --clearsign > SHA512SUMS.txt.asc

checkkeyrings:
	gpg --no-default-keyring --keyring keyrings/devuan-keyring.gpg --decrypt SHA512SUMS.txt.asc | sha512sum -c -
	gpg --no-default-keyring --keyring keyrings/devuan-keyring.gpg --decrypt md5sums.txt | md5sum -c -

.PHONY: binary binary-arch binary-indep clean checkkeyrings checkroot build
